%define url_ver %(echo %{version}|cut -d. -f1,2)
%define gtk_ver 3.22
%define subver 10

Name:    mate-themes
Version: %{gtk_ver}.%{subver}
Release: %mkrel 1
Summary: MATE Desktop themes
Group:   Graphical desktop/MATE
License: LGPLv2+
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/themes/%{gtk_ver}/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires: itstool
BuildRequires: icon-naming-utils
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk-engines-2)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)

%if %mgaversion < 4
Requires: gtk-engines2
Requires: murrine
%else
Requires: gtk2-theme-engines
Requires: gtk-murrine-engine
%endif
Requires: mate-icon-theme
# theme engine for BlackMATE and GreenLaguna
# As of Mga5 adwaita-gtk3-theme package dropped in favour of 
# gnome-themes-standard.
%if %mgaversion < 5
Requires: adwaita-gtk3-theme
%else
Requires: gnome-themes-standard
%endif
Requires: gtk-unico-engine

%description
This packages contains themes for MATE.

%prep
%autosetup

%build
%configure2_5x
%make_build

%install
%make_install

touch %{buildroot}%{_iconsdir}/ContrastHigh/icon-theme.cache

find %{buildroot} -name '*.la' -delete

%post
%update_icon_cache ContrastHigh

%files
%doc AUTHORS COPYING README
%dir %{_iconsdir}/ContrastHigh/
%{_iconsdir}/ContrastHigh/*/
%{_iconsdir}/ContrastHigh/index.theme
%ghost %{_iconsdir}/ContrastHigh/icon-theme.cache
%{_iconsdir}/mate/
%{_datadir}/themes/*


%changelog
* Mon Apr 10 2017 tarakbumba <tarakbumba> 3.22.10-1.mga6
+ Revision: 1096310
- Update to 3.22.10 version

* Sun Apr 02 2017 tarakbumba <tarakbumba> 3.22.8-1.mga6
+ Revision: 1095675
- Update to 3.22.8 version

* Wed Jan 25 2017 wally <wally> 3.22.7-1.mga6
+ Revision: 1083410
- new version 3.22.7

* Sun Dec 11 2016 wally <wally> 3.22.4-1.mga6
+ Revision: 1074260
- new version 3.22.4

* Wed Sep 21 2016 wally <wally> 3.22.2-1.mga6
+ Revision: 1054857
- new version 3.22.2

* Tue Aug 09 2016 wally <wally> 3.20.10-1.mga6
+ Revision: 1045181
- new version 3.20.10

* Sun May 22 2016 tarakbumba <tarakbumba> 3.20.7-1.mga6
+ Revision: 1017833
- Update to 3.20.7 version

* Tue May 10 2016 tarakbumba <tarakbumba> 3.20.6-1.mga6
+ Revision: 1012209
- Update to 3.20.6 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 3.20.5-1.mga6
+ Revision: 1001230
- Update to 3.20.5 version

* Sun Mar 27 2016 tarakbumba <tarakbumba> 3.20.4-1.mga6
+ Revision: 995800
- Update to 3.20.4 version

* Sun Mar 13 2016 tarakbumba <tarakbumba> 3.20.3-1.mga6
+ Revision: 990054
- Update to 3.20.3 version

* Sun Mar 06 2016 tarakbumba <tarakbumba> 3.20.2-1.mga6
+ Revision: 986312
- Update to 3.20.2 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 3.20.1-1.mga6
+ Revision: 979303
- Update to 3.20.1 version

* Sat Feb 13 2016 wally <wally> 3.20.0-2.mga6
+ Revision: 959457
- create icon cache for ContrastHigh icon theme

* Mon Feb 08 2016 tarakbumba <tarakbumba> 3.20.0-1.mga6
+ Revision: 947777
- Update to 1.13. version

* Wed Jan 06 2016 tarakbumba <tarakbumba> 1.12.2-1.mga6
+ Revision: 919915
- Update to 1.12.2 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908172
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898512
-Update to 1.12.0 version

* Tue Oct 06 2015 tarakbumba <tarakbumba> 1.10.5-1.mga6
+ Revision: 886646
- Update to 1.10.5 version

* Sat Sep 05 2015 wally <wally> 1.10.4-1.mga6
+ Revision: 872993
- new version 1.10.4
- switch to gtk3.18

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837903
- Update to 1.10.1 version

* Mon Nov 17 2014 tarakbumba <tarakbumba> 1.9.1-1.mga5
+ Revision: 797632
- Update to 1.9.1 version (fixes mga#14523)
- Use gtk3-3.14 source which is our gtk3 version compatible

* Fri Jun 27 2014 tarakbumba <tarakbumba> 1.8.1-2.mga5
+ Revision: 640420
- Rebuild for gnome-themes-standard

* Sat May 17 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 623128
- Update to 1.8.1 version

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601170
- drop oxygen-gtk conflicts as there aren't really any conflict between pkgs (users can remove oxygen-gtk by hand if they don't like it)

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600092
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598061
- Update to 1.7.x version

* Thu Jan 02 2014 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 563935
-New bugfix version: 1.6.3

* Wed Nov 20 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 551974
- Update mate-themes to 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531054
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461771
- fix file list

  + tarakbumba <tarakbumba>
    - imported package mate-themes

